-- Geometries de section
-- SECTIONS

create table $model.valley_cross_section_geometry(
    id serial primary key,
    name varchar(24) unique not null default project.unique_name('VA_'),
    zbmin_array real[6][2] not null check(array_length(zbmin_array, 1)<=6 and array_length(zbmin_array, 1)>=1 and array_length(zbmin_array, 2)=2),
    zbmaj_lbank_array real[4][2] check(array_length(zbmaj_lbank_array, 1)<=4 and array_length(zbmaj_lbank_array, 1)>=1 and array_length(zbmaj_lbank_array, 2)=2),
    zbmaj_rbank_array real[4][2] check(array_length(zbmaj_rbank_array, 1)<=4 and array_length(zbmaj_rbank_array, 1)>=1 and array_length(zbmaj_rbank_array, 2)=2),
    rlambda real not null default 1 check(rlambda > 0 and rlambda <= 1),
    rmu1 real not null default -999,
    rmu2 real not null default -999,
    zlevee_lb real not null default -999,
    zlevee_rb real not null default -999,
    transect integer references $model._constrain(id) default null
)
;;

create table $model.closed_parametric_geometry(
    id serial primary key,
    name varchar(24) unique not null default project.unique_name('CP_'),
    zbmin_array real[20][2] check(array_length(zbmin_array, 1)<=20 and array_length(zbmin_array, 1)>=1 and array_length(zbmin_array, 2)=2)
)
;;

create table $model.open_parametric_geometry(
    id serial primary key,
    name varchar(24) unique not null default project.unique_name('OP_'),
    zbmin_array real[20][2] check(array_length(zbmin_array, 1)<=20 and array_length(zbmin_array, 1)>=1 and array_length(zbmin_array, 2)=2)
)
;;


create table $model.valley_cross_section_topo_geometry(
    id serial primary key,
    name varchar(24) unique not null default project.unique_name('VAT_'),
    xz_array real[150][2] check(array_length(xz_array, 1)<=150 and array_length(xz_array, 1)>=1 and array_length(xz_array, 2)=2)
)
;;

