create table project.wind_gage(
    id serial primary key,
    name varchar(24) unique not null default project.unique_name('WG_'),
    comment varchar(256),
    geom geometry('POINTZ',$srid) not null
)
;;

create table project.wind_scenario(
    id serial primary key,
    name varchar(24) not null default 'WIND_'||currval('project.wind_scenario_id_seq')::varchar,
    grid_connect_file varchar(256) not null default '',
    interpolation hydra_rainfall_interpolation_type not null default 'thyssen'
)
;;

create table project.wind_scenario_anemometer_data(
    wind_gage integer unique not null references project.wind_gage(id),
    wind_scenario integer unique not null references project.wind_scenario(id),
        unique(wind_gage, wind_scenario),
    hwd_array real[][] check(array_length(hwd_array, 2)=3)
)
;;

