drop schema  if exists ${result}
;;

create schema ${result}
;;

create foreign table ${result}.w15_(
    name varchar,
    step integer,
    idx integer,
    itype integer,
    q_up float,
    z_up float,
    z_down float,
    z float,
    vol float,
    v_min float,
    deb_over_qmaj float,
    zs_over_zb float,
    hdepot float,
    qs float,
    u_x float,
    u_y float) 
server multicorn_hydra_fwd_w15 options(file '${w15}')
;;

create view ${result}.manhole_overflow
as
select n.geom,  from
${model}.manhole_node as n join ${result}.w15_ as w on n.id=w.id
where max(w.q_up) > st_z(n.geom)
;;

create view ${result}.loaded_pipes
as
with h_ceil as (
    select id, circular_diameter as h 
    from ${model}.pipe_link 
    where cross_section_type='circular'
    union
    select id, ovoid_height as h
    from ${model}.pipe_link 
    where cross_section_type='ovoid'
    union
    select l.id, max(g.zbmin_array[:][1]) as h 
    from ${model}.pipe_link as l join ${model}.closed_parametric_geometry as g on l.cp_geom=g.id 
    where l.cross_section_type='closed_parametric'
    union
    select l.id, max(g.zbmin_array[:][2]) as h 
    from ${model}.pipe_link as l join ${model}.open_parametric_geometry as g on l.op_geom=g.id 
    where l.cross_section_type='open_parametric_geometry'
)

;;
