create schema hydra;
create type hydra_netflow_type as enum ('constant_runoff', 'scs', 'horner', 'holtan', 'permeable_soil');
create table hydra.netflow_type(
    name hydra_netflow_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.netflow_type(name,description,id) values ('constant_runoff','Constant runoff',1);
insert into hydra.netflow_type(name,description,id) values ('scs','SCS',4);
insert into hydra.netflow_type(name,description,id) values ('horner','Horner',2);
insert into hydra.netflow_type(name,description,id) values ('holtan','Holtan',3);
insert into hydra.netflow_type(name,description,id) values ('permeable_soil','Permeable soil',5);
create type hydra_type_domain as enum ('river', '2d_domain', 'network');
create table hydra.type_domain(
    name hydra_type_domain primary key,
    id integer unique,
    description varchar
    );
insert into hydra.type_domain(name,id) values ('river',2);
insert into hydra.type_domain(name,id) values ('2d_domain',3);
insert into hydra.type_domain(name,id) values ('network',1);
create type hydra_cross_section_type as enum ('channel', 'circular', 'valley', 'pipe', 'ovoid');
create table hydra.cross_section_type(
    name hydra_cross_section_type primary key,
    id integer unique,
    description varchar,
    abbreviation varchar unique
    );
insert into hydra.cross_section_type(name,abbreviation,id) values ('channel','PO',4);
insert into hydra.cross_section_type(name,abbreviation,id) values ('circular','CI',6);
insert into hydra.cross_section_type(name,abbreviation,id) values ('valley','VL',2);
insert into hydra.cross_section_type(name,abbreviation,id) values ('pipe','PF',3);
insert into hydra.cross_section_type(name,abbreviation,id) values ('ovoid','OV',5);
create type hydra_borda_headloss_singularity_type as enum ('transition_edge_inlet', 'screen_oblique_to_flow', 'parametric', 'sharp_bend_rectangular', 'contraction_with_transition', 'friction', 'circular_bend', 'enlargment_with_transition', 'q', 'sharp_transition_geometry', 'diffuser', 'v', 'screen_normal_to_flow', 'sharp_angle_bend');
create table hydra.borda_headloss_singularity_type(
    name hydra_borda_headloss_singularity_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('transition_edge_inlet','Transition edge inlet',3);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('screen_oblique_to_flow','Screen oblique to flow',11);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('parametric','Parametric',13);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('sharp_bend_rectangular','Sharp bend rectangular',14);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('contraction_with_transition','Contraction with transition',6);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('friction','Friction',12);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('circular_bend','Circular bend',8);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('enlargment_with_transition','Enlargment with transition',7);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('q','Law dz=KQ2',1);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('sharp_transition_geometry','Sharp geometry transition',5);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('diffuser','Diffuser',4);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('v','Law dE=(K/2g).(Q2/S2)',2);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('screen_normal_to_flow','Screen normal to flow',10);
insert into hydra.borda_headloss_singularity_type(name,description,id) values ('sharp_angle_bend','Sharp angle bend',9);
create type hydra_land_use_type as enum ('group_housing', 'industrial', 'rural', 'individual_housing');
create table hydra.land_use_type(
    name hydra_land_use_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.land_use_type(name,id) values ('group_housing',4);
insert into hydra.land_use_type(name,id) values ('industrial',2);
insert into hydra.land_use_type(name,id) values ('rural',1);
insert into hydra.land_use_type(name,id) values ('individual_housing',3);
create type hydra_rainfall_type as enum ('double_triangular', 'single_triangular', 'intensity_curve', 'caquot', 'radar', 'gage');
create table hydra.rainfall_type(
    name hydra_rainfall_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.rainfall_type(name,id) values ('double_triangular',3);
insert into hydra.rainfall_type(name,id) values ('single_triangular',2);
insert into hydra.rainfall_type(name,id) values ('intensity_curve',4);
insert into hydra.rainfall_type(name,id) values ('caquot',1);
insert into hydra.rainfall_type(name,id) values ('radar',6);
insert into hydra.rainfall_type(name,id) values ('gage',5);
create type hydra_weir_mode_regul as enum ('width', 'elevation');
create table hydra.weir_mode_regul(
    name hydra_weir_mode_regul primary key,
    id integer unique,
    description varchar
    );
insert into hydra.weir_mode_regul(name,description,id) values ('width','Width',2);
insert into hydra.weir_mode_regul(name,description,id) values ('elevation','Elevation',1);
create type hydra_constrain_type as enum ('porous', 'left_bank', 'strickler', 'overflow', 'right_bank', 'connector', 'flood_plain_transect');
create table hydra.constrain_type(
    name hydra_constrain_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.constrain_type(name,id) values ('porous',2);
insert into hydra.constrain_type(name,id) values ('left_bank',4);
insert into hydra.constrain_type(name,id) values ('strickler',5);
insert into hydra.constrain_type(name,id) values ('overflow',1);
insert into hydra.constrain_type(name,id) values ('right_bank',3);
insert into hydra.constrain_type(name,id) values ('connector',6);
insert into hydra.constrain_type(name,id) values ('flood_plain_transect',7);
create type hydra_link_type as enum ('porous', 'regul_gate', 'deriv_qz', 'overflow', 'routing_hydrology', 'gate', 'mesh_2d', 'weir', 'network_overflow', 'borda_headloss', 'pump', 'connector', 'fuse_spillway', 'connector_hydrology', 'pipe', 'crossroad_to_urban_storage', 'street', 'strickler', 'deriv_pump', 'river_to_2d');
create table hydra.link_type(
    name hydra_link_type primary key,
    id integer unique,
    description varchar,
    abbreviation varchar unique
    );
insert into hydra.link_type(name,abbreviation,id) values ('porous','LPOR',13);
insert into hydra.link_type(name,abbreviation,id) values ('regul_gate','RG',7);
insert into hydra.link_type(name,abbreviation,id) values ('deriv_qz','QDZ',1);
insert into hydra.link_type(name,abbreviation,id) values ('overflow','OFL',21);
insert into hydra.link_type(name,abbreviation,id) values ('routing_hydrology','ROUT',18);
insert into hydra.link_type(name,abbreviation,id) values ('gate','LORF',5);
insert into hydra.link_type(name,abbreviation,id) values ('mesh_2d','LPAV',11);
insert into hydra.link_type(name,abbreviation,id) values ('weir','LDEV',4);
insert into hydra.link_type(name,abbreviation,id) values ('network_overflow','NOV',22);
insert into hydra.link_type(name,abbreviation,id) values ('borda_headloss','QMK',10);
insert into hydra.link_type(name,abbreviation,id) values ('pump','QMP',6);
insert into hydra.link_type(name,abbreviation,id) values ('connector','QMTR',9);
insert into hydra.link_type(name,abbreviation,id) values ('fuse_spillway','LDVF',15);
insert into hydra.link_type(name,abbreviation,id) values ('connector_hydrology','TRH',19);
insert into hydra.link_type(name,abbreviation,id) values ('pipe','TRC',20);
insert into hydra.link_type(name,abbreviation,id) values ('crossroad_to_urban_storage','LCI',17);
insert into hydra.link_type(name,abbreviation,id) values ('street','LRUE',16);
insert into hydra.link_type(name,abbreviation,id) values ('strickler','LSTK',12);
insert into hydra.link_type(name,abbreviation,id) values ('deriv_pump','QDP',3);
insert into hydra.link_type(name,abbreviation,id) values ('river_to_2d','LRC',14);
create type hydra_model_connect_mode as enum ('zq_downstream_condition', 'hydrograph');
create table hydra.model_connect_mode(
    name hydra_model_connect_mode primary key,
    id integer unique,
    description varchar
    );
insert into hydra.model_connect_mode(name,description,id) values ('zq_downstream_condition','Downstream condition: Q(Z)',2);
insert into hydra.model_connect_mode(name,description,id) values ('hydrograph','Hydrograph',1);
create type hydra_pollution_quality_mode as enum ('quality1', 'quality3', 'quality2', 'pollution');
create table hydra.pollution_quality_mode(
    name hydra_pollution_quality_mode primary key,
    id integer unique,
    description varchar
    );
insert into hydra.pollution_quality_mode(name,id) values ('quality1',2);
insert into hydra.pollution_quality_mode(name,id) values ('quality3',4);
insert into hydra.pollution_quality_mode(name,id) values ('quality2',3);
insert into hydra.pollution_quality_mode(name,id) values ('pollution',1);
create type hydra_fuse_spillway_break_mode as enum ('time_critical', 'zw_critical');
create table hydra.fuse_spillway_break_mode(
    name hydra_fuse_spillway_break_mode primary key,
    id integer unique,
    description varchar
    );
insert into hydra.fuse_spillway_break_mode(name,id) values ('time_critical',2);
insert into hydra.fuse_spillway_break_mode(name,id) values ('zw_critical',1);
create type hydra_rerouting_option as enum ('derout_fraction', 'cut_flow_rate');
create table hydra.rerouting_option(
    name hydra_rerouting_option primary key,
    id integer unique,
    description varchar
    );
insert into hydra.rerouting_option(name,description,id) values ('derout_fraction','(between 0 et 1)',1);
insert into hydra.rerouting_option(name,description,id) values ('cut_flow_rate','(m3/s)',2);
create type hydra_singularity_type as enum ('constant_inflow_bc', 'strickler_bc', 'bradley_headloss', 'pipe_branch_marker', 'froude_bc', 'tank_bc', 'zq_bc', 'tz_bc', 'param_headloss', 'reservoir_rs_hydrology', 'qq_split_hydrology', 'hydrology_bc', 'regul_sluice_gate', 'hydrograph_bc', 'hydraulic_cut', 'weir_bc', 'borda_headloss', 'zregul_weir', 'model_connect_bc', 'reservoir_rsp_hydrology', 'marker', 'bridge_headloss', 'gate', 'zq_split_hydrology');
create table hydra.singularity_type(
    name hydra_singularity_type primary key,
    id integer unique,
    description varchar,
    abbreviation varchar unique
    );
insert into hydra.singularity_type(name,abbreviation,id) values ('constant_inflow_bc','HC',18);
insert into hydra.singularity_type(name,abbreviation,id) values ('strickler_bc','RK',12);
insert into hydra.singularity_type(name,abbreviation,id) values ('bradley_headloss','BRD',8);
insert into hydra.singularity_type(name,abbreviation,id) values ('pipe_branch_marker','MRKB',9);
insert into hydra.singularity_type(name,abbreviation,id) values ('froude_bc','ZF',15);
insert into hydra.singularity_type(name,abbreviation,id) values ('tank_bc','BO',16);
insert into hydra.singularity_type(name,abbreviation,id) values ('zq_bc','ZQ',13);
insert into hydra.singularity_type(name,abbreviation,id) values ('tz_bc','ZT',14);
insert into hydra.singularity_type(name,abbreviation,id) values ('param_headloss','DH',4);
insert into hydra.singularity_type(name,abbreviation,id) values ('reservoir_rs_hydrology','RSH',22);
insert into hydra.singularity_type(name,abbreviation,id) values ('qq_split_hydrology','DQH',20);
insert into hydra.singularity_type(name,abbreviation,id) values ('hydrology_bc','CLH',24);
insert into hydra.singularity_type(name,abbreviation,id) values ('regul_sluice_gate','ACTA',6);
insert into hydra.singularity_type(name,abbreviation,id) values ('hydrograph_bc','HY',17);
insert into hydra.singularity_type(name,abbreviation,id) values ('hydraulic_cut','CPR',2);
insert into hydra.singularity_type(name,abbreviation,id) values ('weir_bc','DL',11);
insert into hydra.singularity_type(name,abbreviation,id) values ('borda_headloss','SMK',3);
insert into hydra.singularity_type(name,abbreviation,id) values ('zregul_weir','DE',5);
insert into hydra.singularity_type(name,abbreviation,id) values ('model_connect_bc','RACC',19);
insert into hydra.singularity_type(name,abbreviation,id) values ('reservoir_rsp_hydrology','RSPH',23);
insert into hydra.singularity_type(name,abbreviation,id) values ('marker','MRKP',7);
insert into hydra.singularity_type(name,abbreviation,id) values ('bridge_headloss','BRDG',25);
insert into hydra.singularity_type(name,abbreviation,id) values ('gate','VA',1);
insert into hydra.singularity_type(name,abbreviation,id) values ('zq_split_hydrology','DZH',21);
create type hydra_abutment_type as enum ('angle_90', 'rounded', 'angle_45');
create table hydra.abutment_type(
    name hydra_abutment_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.abutment_type(name,description,id) values ('angle_90','Angle 90',1);
insert into hydra.abutment_type(name,description,id) values ('rounded','Rounded edge',3);
insert into hydra.abutment_type(name,description,id) values ('angle_45','Angle 45',2);
create type hydra_coverage_type as enum ('left_flood_plain', 'storage', 'crossroad', 'reach_end', 'street', 'right_flood_plain', '2d', 'reach');
create table hydra.coverage_type(
    name hydra_coverage_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.coverage_type(name,id) values ('left_flood_plain',5);
insert into hydra.coverage_type(name,id) values ('storage',7);
insert into hydra.coverage_type(name,id) values ('crossroad',4);
insert into hydra.coverage_type(name,id) values ('reach_end',8);
insert into hydra.coverage_type(name,id) values ('street',3);
insert into hydra.coverage_type(name,id) values ('right_flood_plain',6);
insert into hydra.coverage_type(name,id) values ('2d',1);
insert into hydra.coverage_type(name,id) values ('reach',2);
create type hydra_gate_mode_regul as enum ('elevation', 'discharge');
create table hydra.gate_mode_regul(
    name hydra_gate_mode_regul primary key,
    id integer unique,
    description varchar
    );
insert into hydra.gate_mode_regul(name,description,id) values ('elevation','Elevation',1);
insert into hydra.gate_mode_regul(name,description,id) values ('discharge','Discharge',2);
create type hydra_transport_type as enum ('no_transport', 'quality', 'sediment', 'pollution');
create table hydra.transport_type(
    name hydra_transport_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.transport_type(name,description,id) values ('no_transport','None',1);
insert into hydra.transport_type(name,description,id) values ('quality','Quality',3);
insert into hydra.transport_type(name,description,id) values ('sediment','Sediment transport',4);
insert into hydra.transport_type(name,description,id) values ('pollution','Pollution generation and network transport',2);
create type hydra_param_sor1_type as enum ('link', 'hydrologic_element', 'upstream_singularity', 'downstream_upstream_singularity', 'upstream_downstream_singularity', 'downstream_singularity');
create table hydra.param_sor1_type(
    name hydra_param_sor1_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.param_sor1_type(name) values ('link');
insert into hydra.param_sor1_type(name) values ('hydrologic_element');
insert into hydra.param_sor1_type(name) values ('upstream_singularity');
insert into hydra.param_sor1_type(name) values ('downstream_upstream_singularity');
insert into hydra.param_sor1_type(name) values ('upstream_downstream_singularity');
insert into hydra.param_sor1_type(name) values ('downstream_singularity');
create type hydra_rainfall_interpolation_type as enum ('distance_ponderation', 'thyssen');
create table hydra.rainfall_interpolation_type(
    name hydra_rainfall_interpolation_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.rainfall_interpolation_type(name) values ('distance_ponderation');
insert into hydra.rainfall_interpolation_type(name) values ('thyssen');
create type hydra_runoff_type as enum ('giandotti', 'passini', 'k_desbordes', 'socose');
create table hydra.runoff_type(
    name hydra_runoff_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.runoff_type(name,description,id) values ('giandotti','k-Giandotti and linear reservoir',3);
insert into hydra.runoff_type(name,description,id) values ('passini','k-Passini  and linear reservoir',2);
insert into hydra.runoff_type(name,description,id) values ('k_desbordes','k-Desbordes  and linear reservoir',1);
insert into hydra.runoff_type(name,description,id) values ('socose','Tc imposed and Socose',4);
create type hydra_node_type as enum ('station', 'storage', 'crossroad', 'urban_storage', 'manhole_hydrology', 'river', 'elem_2d', 'catchment', 'manhole');
create table hydra.node_type(
    name hydra_node_type primary key,
    id integer unique,
    description varchar,
    abbreviation varchar unique
    );
insert into hydra.node_type(name,abbreviation,id) values ('station','NODS',3);
insert into hydra.node_type(name,abbreviation,id) values ('storage','CAS',4);
insert into hydra.node_type(name,abbreviation,id) values ('crossroad','CAR',6);
insert into hydra.node_type(name,abbreviation,id) values ('urban_storage','ILO',7);
insert into hydra.node_type(name,abbreviation,id) values ('manhole_hydrology','NODH',8);
insert into hydra.node_type(name,abbreviation,id) values ('river','NODR',2);
insert into hydra.node_type(name,abbreviation,id) values ('elem_2d','PAV',5);
insert into hydra.node_type(name,abbreviation,id) values ('catchment','BC',9);
insert into hydra.node_type(name,abbreviation,id) values ('manhole','NODA',1);
create type hydra_action_gate_type as enum ('downward_opening', 'upward_opening');
create table hydra.action_gate_type(
    name hydra_action_gate_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.action_gate_type(name,description,id) values ('downward_opening','downward opening',1);
insert into hydra.action_gate_type(name,description,id) values ('upward_opening','upward opening',2);
create type hydra_weir_mode_reoxy as enum ('r15', 'gameson');
create table hydra.weir_mode_reoxy(
    name hydra_weir_mode_reoxy primary key,
    id integer unique,
    description varchar
    );
insert into hydra.weir_mode_reoxy(name,description,id) values ('r15','R15 law',2);
insert into hydra.weir_mode_reoxy(name,description,id) values ('gameson','Gameson law',1);
create type hydra_valve_mode as enum ('no_valve', 'one_way_upstream', 'one_way_downstream');
create table hydra.valve_mode(
    name hydra_valve_mode primary key,
    id integer unique,
    description varchar
    );
insert into hydra.valve_mode(name,description,id) values ('no_valve','no valve',1);
insert into hydra.valve_mode(name,description,id) values ('one_way_upstream','one way valve (toward upstream)',3);
insert into hydra.valve_mode(name,description,id) values ('one_way_downstream','one way valve (toward downstream)',2);
create type hydra_pollution_treatment_mode as enum ('efficiency', 'residual_concentration');
create table hydra.pollution_treatment_mode(
    name hydra_pollution_treatment_mode primary key,
    id integer unique,
    description varchar
    );
insert into hydra.pollution_treatment_mode(name,description,id) values ('efficiency','Efficiency',2);
insert into hydra.pollution_treatment_mode(name,description,id) values ('residual_concentration','Residual concentration',1);
create type hydra_computation_mode as enum ('hydrology', 'hydrology_and_hydraulics', 'hydraulics');
create table hydra.computation_mode(
    name hydra_computation_mode primary key,
    id integer unique,
    description varchar
    );
insert into hydra.computation_mode(name,id) values ('hydrology',1);
insert into hydra.computation_mode(name,id) values ('hydrology_and_hydraulics',3);
insert into hydra.computation_mode(name,id) values ('hydraulics',2);
create type hydra_catchment_pollution_mode as enum ('fixed_concentration', 'variable_concentration');
create table hydra.catchment_pollution_mode(
    name hydra_catchment_pollution_mode primary key,
    id integer unique,
    description varchar
    );
insert into hydra.catchment_pollution_mode(name,id) values ('fixed_concentration',1);
insert into hydra.catchment_pollution_mode(name,id) values ('variable_concentration',2);
create type hydra_borda_headloss_link_type as enum ('screen_oblique_to_flow', 't_shape_bifurcation', 'parametric', 'sharp_edge_inlet', 'bifurcation', 'contraction_with_transition', 'friction', 'q', 'enlargment_with_transition', 'circular_bend', 'sharp_transition_geometry', 'junction', 't_shape_junction', 'screen_normal_to_flow', 'diffuser', 'v', 'sharp_edge_outlet', 'transition_edge_inlet', 'sharp_bend_rectangular', 'sharp_angle_bend');
create table hydra.borda_headloss_link_type(
    name hydra_borda_headloss_link_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.borda_headloss_link_type(name,description,id) values ('screen_oblique_to_flow','Screen oblique to flow',15);
insert into hydra.borda_headloss_link_type(name,description,id) values ('t_shape_bifurcation','T shape bifurcation',19);
insert into hydra.borda_headloss_link_type(name,description,id) values ('parametric','Parametric',17);
insert into hydra.borda_headloss_link_type(name,description,id) values ('sharp_edge_inlet','Sharp edge inlet',4);
insert into hydra.borda_headloss_link_type(name,description,id) values ('bifurcation','Bifurcation',5);
insert into hydra.borda_headloss_link_type(name,description,id) values ('contraction_with_transition','Contraction with transition',10);
insert into hydra.borda_headloss_link_type(name,description,id) values ('friction','Friction',16);
insert into hydra.borda_headloss_link_type(name,description,id) values ('q','Law dz=KQ2',1);
insert into hydra.borda_headloss_link_type(name,description,id) values ('enlargment_with_transition','Enlargment with transition',11);
insert into hydra.borda_headloss_link_type(name,description,id) values ('circular_bend','Circular bend',12);
insert into hydra.borda_headloss_link_type(name,description,id) values ('sharp_transition_geometry','Sharp geometry transition',9);
insert into hydra.borda_headloss_link_type(name,description,id) values ('junction','Junction',6);
insert into hydra.borda_headloss_link_type(name,description,id) values ('t_shape_junction','T shape junction',20);
insert into hydra.borda_headloss_link_type(name,description,id) values ('screen_normal_to_flow','Screen normal to flow',14);
insert into hydra.borda_headloss_link_type(name,description,id) values ('diffuser','Diffuser',8);
insert into hydra.borda_headloss_link_type(name,description,id) values ('v','Law dE=(K/2g).(Q2/S2)',2);
insert into hydra.borda_headloss_link_type(name,description,id) values ('sharp_edge_outlet','Sharp edge outlet',3);
insert into hydra.borda_headloss_link_type(name,description,id) values ('transition_edge_inlet','Transition edge inlet',7);
insert into hydra.borda_headloss_link_type(name,description,id) values ('sharp_bend_rectangular','Sharp rectangular bend',18);
insert into hydra.borda_headloss_link_type(name,description,id) values ('sharp_angle_bend','Sharp angle bend',13);
create type hydra_quality_type as enum ('physico_chemical', 'suspended sediment transport', 'quality_parameter_selection');
create table hydra.quality_type(
    name hydra_quality_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.quality_type(name,description,id) values ('physico_chemical','Physico chemical: 4 inter related parameters: DBO, NH4, NO3, O2',1);
insert into hydra.quality_type(name,description,id) values ('suspended sediment transport','Suspended sediment transport',3);
insert into hydra.quality_type(name,description,id) values ('quality_parameter_selection','Quality parameter selection: no chemical interaction betwwen parameters',2);
create type hydra_type_sor1 as enum ('hys_file', 'deb_or_lim_file');
create table hydra.type_sor1(
    name hydra_type_sor1 primary key,
    id integer unique,
    description varchar
    );
insert into hydra.type_sor1(name,description,id) values ('hys_file','hys file',1);
insert into hydra.type_sor1(name,description,id) values ('deb_or_lim_file','deb/lim file',2);
create type hydra_split_law_type as enum ('stickler', 'weir', 'gate', 'zq');
create table hydra.split_law_type(
    name hydra_split_law_type primary key,
    id integer unique,
    description varchar
    );
insert into hydra.split_law_type(name,id) values ('stickler',3);
insert into hydra.split_law_type(name,id) values ('weir',1);
insert into hydra.split_law_type(name,id) values ('gate',2);
insert into hydra.split_law_type(name,id) values ('zq',4);
create type hydra_mode_regul_sluice_gate as enum ('z_regul', 'q_regul');
create table hydra.mode_regul_sluice_gate(
    name hydra_mode_regul_sluice_gate primary key,
    id integer unique,
    description varchar
    );
insert into hydra.mode_regul_sluice_gate(name,id) values ('z_regul',1);
insert into hydra.mode_regul_sluice_gate(name,id) values ('q_regul',0);
create type hydra_model_connection_settings as enum ('global', 'cascade', 'mixed');
create table hydra.model_connection_settings(
    name hydra_model_connection_settings primary key,
    id integer unique,
    description varchar
    );
insert into hydra.model_connection_settings(name,id) values ('global',2);
insert into hydra.model_connection_settings(name,id) values ('cascade',1);
insert into hydra.model_connection_settings(name,id) values ('mixed',3);
create table hydra.metadata(
    creation_date timestamp not null default current_date,
    srid integer references spatial_ref_sys(srid),
    precision real not null default .01,
    workspace varchar(256) not null default '',
    version varchar(24) not null default '0.0.23',
    id integer unique not null default(1) check (id=1) -- only one row
    );
create function hydra.metadata_after_insert_fct()
        returns trigger
        language plpython3u
        as $$
            from hydra_0_0_23 import create_project
            import plpy
            for statement in create_project(TD['new']['srid'], '0.0.23'):
                plpy.execute(statement)
        $$;
create trigger hydra_metadata_after_insert_trig
        after insert on hydra.metadata
        for each row execute procedure hydra.metadata_after_insert_fct()
        ;
